<?php

namespace UnicaenDbImport\Controller;

use Interop\Container\ContainerInterface;
use UnicaenDbImport\Entity\Db\Service\ImportLog\ImportLogService;

class LogControllerFactory
{
    function __invoke(ContainerInterface $sl): LogController
    {
        /** @var ImportLogService $importLogService */
        $importLogService = $sl->get(ImportLogService::class);

        $controller = new LogController();
        $controller->setImportLogService($importLogService);

        return $controller;
    }
}