<?php

namespace UnicaenDbImport\Domain;

interface ImportInterface
{
    /**
     * Retourne le petit nom de cet import.
     *
     * @return string
     */
    public function getName();

    /**
     * Retourne l'instance de la source de cet import.
     *
     * @return SourceInterface
     */
    public function getSource();

    /**
     * Retourne l'instance de la destination de cet import.
     *
     * @return DestinationInterface
     */
    public function getDestination();
}