<?php

namespace UnicaenDbImport\Entity\Db\Service\ImportLog;

use Doctrine\ORM\EntityManager;
use Interop\Container\ContainerInterface;

class ImportLogServiceFactory
{
    public function __invoke(ContainerInterface $container)
    {
        /** @var EntityManager $em */
        $em = $container->get('doctrine.entitymanager.orm_default');

        $service = new ImportLogService();
        $service->setEntityManager($em);

        return $service;
    }
}