<?php

namespace UnicaenDbImport\Service;

use Interop\Container\ContainerInterface;
use UnicaenDbImport\Config\Config;

class ImportServiceFactory
{
    public function __invoke(ContainerInterface $container)
    {
        /** @var Config $config */
        $config = $container->get(Config::class);

        /** @var FacadeService $facadeService */
        $facadeService = $container->get(FacadeService::class);

        return new ImportService($facadeService, $config);
    }
}